#include <bits/stdc++.h>
using namespace std;

int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
    
	int x, y, a, b;
	cin >> a >> b >> x >> y;
	
	if (a==x && b==y) {
		cout << "nijedan" << '\n';
	}
	else if (a>=x && b<y) {
		cout << "drugi" << '\n';
	}
	else if (a<x && b>=y) {
		cout << "prvi" << '\n';
	}
	else {
		cout << "?" << '\n';
	}

return 0;
}